Subject: bug#41243: guix deploy doesn't respect machine-ssh-configuration-identity field

From: Brice Waegeneire <[email-masked]>
Date: Wed, 13 May 2020 19:58:17 +0000

Hi it's me again,

“machine-ssh-configuration-identity" field isn't respected. When setting 
it
to the path of my password-less private key (bad!), with a SSH agent
running and my smart-card plugged in, running “guix deploy” my agent 
will
asked the pin of my smartcard first.  I was expecting that setting this
field to a true value will bypass the agent completely, only trying to
connect with the specified key, while setting it to false will fallback 
on
the running agent.

- Brice